Skip to main content
POST
/
v1
/
unit_owners
/
{id}
Update a unit owner
curl --request POST \
  --url https://api.yorlet.com/v1/unit_owners/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee": "<string>",
  "blind_delivery": {
    "due_date": 123,
    "failure_reason": "<string>",
    "supplier": "<string>",
    "status": "<string>"
  },
  "description": "<string>",
  "external_account": "<string>",
  "follow_up": 123,
  "furniture_delivery": {
    "due_date": 123,
    "failure_reason": "<string>",
    "supplier": "<string>",
    "status": "<string>"
  },
  "metadata": {}
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "unit_owner",
  "owner": {
    "id": "<string>",
    "created": 123,
    "object": "owner",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "company": {
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "country": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "email": "<string>",
      "name": "<string>",
      "phone": "<string>",
      "tax_id": "<string>",
      "vat_id": "<string>"
    },
    "country": "<string>",
    "email": "<string>",
    "external_account": {
      "id": "<string>",
      "created": 123,
      "object": "external_account",
      "available_payout_methods": [
        "<string>"
      ],
      "confirmation_of_payee": {},
      "type": "bank_account",
      "account": "<string>",
      "deleted": false,
      "bank_account": {
        "account_holder_name": "<string>",
        "bank_name": "<string>",
        "country": "<string>",
        "last4": "<string>",
        "routing_number": "<string>",
        "swift_bic": "<string>"
      },
      "metadata": {}
    },
    "individual": {
      "id": "<string>",
      "created": 123,
      "object": "owner.person",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "country": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "dob": {
        "day": 16,
        "month": 6.5,
        "year": 5949.5
      },
      "email": "[email protected]",
      "first_name": "<string>",
      "last_name": "<string>",
      "phone": "<string>",
      "relationship": {
        "director": true,
        "executive": true,
        "owner": true,
        "percent_ownership": 50,
        "representative": true,
        "title": "<string>"
      },
      "title": "<string>",
      "verification_session": "<string>",
      "verification": {
        "status": "<string>"
      },
      "account": "<string>",
      "deleted": false,
      "metadata": {}
    },
    "name": "<string>",
    "requirements": {
      "currently_due": [
        "<string>"
      ],
      "disabled_reason": "<string>",
      "eventually_due": [
        "<string>"
      ]
    },
    "settings": {
      "account_collections": {
        "platform_fee": 0
      },
      "maintenance": {
        "issue_categories": [
          "<string>"
        ],
        "issue_preferred_categories": [
          "<string>"
        ]
      },
      "payout_receipts": {
        "email_to": "<string>",
        "statement_descriptor": "<string>",
        "email_cc": [],
        "send_emails": true
      },
      "payout_schedule": {
        "monthly_anchor": 31,
        "weekly_anchor": 5
      },
      "payouts": {
        "automatic_approval": false,
        "instant_payouts": false,
        "negative_payouts": false
      }
    },
    "tax_residency": "<string>",
    "account": "<string>",
    "deleted": false,
    "balance": 0,
    "metadata": {},
    "payouts_enabled": false
  },
  "unit": {
    "id": "<string>",
    "created": 123,
    "object": "unit",
    "active": true,
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "available_from": 123,
    "bathrooms": 123,
    "bedrooms": 123,
    "building": {
      "id": "<string>",
      "created": 123,
      "object": "building",
      "active": true,
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "country": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "currency": "<string>",
      "description": "<string>",
      "marketing": {
        "featured_photo": "<string>",
        "photos": [
          "<string>"
        ]
      },
      "name": "<string>",
      "removable": true,
      "single_unit": true,
      "unit_fees": {
        "management_fee": 123,
        "management_fee_amount": 123,
        "management_fee_discount": {
          "end": 123,
          "percent_off": 123
        },
        "renewal_fee": 123,
        "rent_review_fee": 123,
        "tax": 123,
        "tenant_find_fee": 123,
        "updated_at": 123
      },
      "account": "<string>",
      "deleted": false,
      "metadata": {}
    },
    "completion_date": 123,
    "contract_address": "<string>",
    "currency": "<string>",
    "currency_options": {},
    "default_deposit": 123,
    "default_price": 123,
    "default_rent_tax_rate": {
      "id": "<string>",
      "created": 123,
      "object": "tax_rate",
      "active": true,
      "country": "<string>",
      "description": "<string>",
      "inclusive": true,
      "jurisdiction": "<string>",
      "name": "<string>",
      "percentage": 123,
      "state": "<string>",
      "account": "<string>",
      "deleted": false
    },
    "fees": {
      "management_fee": 123,
      "management_fee_amount": 123,
      "management_fee_discount": {
        "end": 123,
        "percent_off": 123
      },
      "renewal_fee": 123,
      "rent_review_fee": 123,
      "tax": 123,
      "tenant_find_fee": 123,
      "updated_at": 123
    },
    "furnished": true,
    "floor": 123,
    "has_owner": true,
    "maintenance_threshold": 123,
    "name": "<string>",
    "plot_number": "<string>",
    "square_foot": 123,
    "account": "<string>",
    "deleted": false,
    "archived": true,
    "archived_at": 123,
    "assignee": "<string>",
    "features": {
      "balcony": true,
      "pet_friendly": true,
      "view": "<string>",
      "min_term": "<string>"
    },
    "compliance": {
      "epc": "<string>",
      "epc_expires_at": 123,
      "electric_safety": "<string>",
      "electric_safety_expires_at": 123,
      "gas_safety": "<string>",
      "gas_safety_expires_at": 123,
      "gas_safety_required": true
    },
    "metadata": {},
    "offline_reason": "<string>",
    "reference": "<string>",
    "rent": {
      "default": 123,
      "maximum": 123,
      "minimum": 123,
      "tax_percent": 123
    },
    "sales": {
      "last_purchase_price": 123
    },
    "square_metre": 123,
    "under_offer": true,
    "unit_group": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "active_at": 123,
  "archived_at": 123,
  "assignee": "<string>",
  "blind_delivery": {},
  "contract": "<string>",
  "description": "<string>",
  "external_account": {
    "id": "<string>",
    "created": 123,
    "object": "external_account",
    "available_payout_methods": [
      "<string>"
    ],
    "confirmation_of_payee": {},
    "type": "bank_account",
    "account": "<string>",
    "deleted": false,
    "bank_account": {
      "account_holder_name": "<string>",
      "bank_name": "<string>",
      "country": "<string>",
      "last4": "<string>",
      "routing_number": "<string>",
      "swift_bic": "<string>"
    },
    "metadata": {}
  },
  "follow_up": 123,
  "furniture_delivery": {},
  "metadata": {},
  "negotiating_status": "<string>",
  "ownership_ended_at": 123,
  "ownership_ended_description": "<string>",
  "ownership_started_at": 123,
  "percent_ownership": 123,
  "pending_contract_at": 123,
  "signed_at": 123,
  "status": "active",
  "tos_acceptance": {
    "date": 123,
    "ip": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
assignee
string | null

The ID of the user the unit ownership is assigned to.

blind_delivery
object

Blind delivery details for the unit ownership.

description
string | null

An arbitrary description attached to the unit ownership.

external_account
string | null

The ID of the external account funds for this ownership are paid out to.

follow_up
number | null

The time at which the unit ownership should be followed up on.

furniture_delivery
object

Furniture delivery details for the unit ownership.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

negotiating_status
enum<string> | null

The current negotiating status for the unit ownership.

Available options:
contacted,
no_details,
not_likely,
not_responding,
ready_to_sign,
undecided,
null

Response

200 - application/json

Returns the unit owner object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
unit_owner
owner
required

The owner that holds the unit.

unit
required

The unit the ownership is associated with.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

active_at
number | null

The time at which the ownership became active.

archived_at
number | null

The time at which the ownership was archived.

assignee
string | null

The ID of the user the unit ownership is assigned to.

blind_delivery
object

Blind delivery details for the unit ownership.

contract
string | null

The ID of the contract associated with the unit ownership.

description
string | null

An arbitrary description attached to the unit ownership.

external_account

The external account funds for this ownership are paid out to.

follow_up
number | null

The time at which the unit ownership should be followed up on.

furniture_delivery
object

Furniture delivery details for the unit ownership.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

negotiating_status
string | null

The current negotiating status for the unit ownership.

ownership_ended_at
number | null

The time at which the unit ownership ended.

ownership_ended_reason
enum<string> | null

The reason the unit ownership ended.

Available options:
lost_instruction,
sold_unit,
moved_in,
lost_negotiation,
other,
null
ownership_ended_description
string | null

A free-form description of why the unit ownership ended.

ownership_started_at
number | null

The time at which the unit ownership started.

percent_ownership
number | null

The percentage of the unit owned by this owner.

pending_contract_at
number | null

The time at which the unit ownership entered a pending contract state.

signed_at
number | null

The time at which the unit ownership contract was signed.

status
enum<string>
default:active

The status of the unit ownership.

Available options:
active,
archived,
negotiating,
pending,
pending_contract_generation,
pending_contract,
signed
tos_acceptance
object

Details of the owner's acceptance of the terms of service.